using BingoBrain.Core;

namespace BingoBrain
{
    public class JThinkModel : BaseModel
    {
        public bool IsOpenMusic
        {
            get => Audio.Instance.IsOpenBGM;
            set => Audio.Instance.IsOpenBGM = value;
        }

        public bool IsOpenEffect
        {
            get => Audio.Instance.IsOpenEffect;
            set => Audio.Instance.IsOpenEffect = value;
        }

        #region 生命周期

        protected override void OnInit()
        {
        }

        protected override void OnDispose()
        {
        }

        protected override void OnReset()
        {
        }

        #endregion
    }
}